#include <bits/stdc++.h>

using namespace std;

int main() {
    int brojKarata;
    cin>>brojKarata;
    int brojNaKartiIznad;
    cin>>brojNaKartiIznad;
    
    int brojKarteIznad;
    
    vector <int> karte (brojKarata);
    for(int i=0; i<brojKarata; i++){
        cin>>karte[i];
        if(karte[i]==brojNaKartiIznad){
            brojKarteIznad=i;
        }
    }
    
    cout<<karte[(brojKarteIznad+1)%brojKarata];
    
    
}